Subject: Re: pgbench - adding pl/pgsql versions of tests

From: Cary Huang <[email-masked]>
Date: Fri, 24 Mar 2023 22:17:33 +0000

The following review has been posted through the commitfest application:
make installcheck-world:  not tested
Implements feature:       tested, passed
Spec compliant:           not tested
Documentation:            not tested

Hi

thank you for the patch. It can be applied to current master branch and compiled fine. 

The feature works as described, I am able to run plpgsql-tpcb-like and plpgsql-simple-update scripts as you have added them.

But I am not sure the purpose of --no-function to prevent the creation of pl/pgsql functions when the new plpgsql test scripts need them. 

I initialized pgbench database with --no-function, and plpgsql-tpcb-like and plpgsql-simple-update scripts will fail to run

thanks

Cary Huang
===============
Highgo Software Canada
www.highgo.ca